package edu.dartmouth.cs.testfirebasedemo;

import android.provider.ContactsContract;
import android.util.Log;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import com.google.firebase.database.ChildEventListener;
import com.google.firebase.database.DataSnapshot;
import com.google.firebase.database.DatabaseError;

/**
 * Created by Xing-Dong Yang on 2/11/2018.
 */

public class ListViewChildEventListener implements ChildEventListener {
    ArrayAdapter<String> arrayAdapter;
    public ListViewChildEventListener(ArrayAdapter<String> adapter){
        arrayAdapter = adapter;
    }

    public void onChildAdded(DataSnapshot dataSnapshot, String s){
        String line = (String)dataSnapshot.child("title").getValue();
        arrayAdapter.add(line);
        Log.d("xd", "onChildAdded called: " + line + " " + dataSnapshot.getKey());
    }

    public void onChildRemoved(DataSnapshot dataSnapshot){
        String line = (String)dataSnapshot.child("title").getValue();
        arrayAdapter.remove(line);
        Log.d("xd", "onChildRemoved called: " + line + " " + dataSnapshot.getKey());
    }
    public void onChildMoved(DataSnapshot dataSnapshot, String s){}
    public void onChildChanged(DataSnapshot dataSnapshot, String s){}
    public void onCancelled(DatabaseError error){}
}
